NX Open C++ Reference Guide
|
Progressive Die Wizard builder to design burring punch and die insert <br> To create a new instance of this class, use @link Tooling::BurringInsertCollection::CreateBurringInsertBuilder Tooling::BurringInsertCollection::CreateBurringInsertBuilder @endlink <br>
Default values. More...
Public Types | |
enum | BurringDirections { BurringDirectionsBurringUpwards, BurringDirectionsBurringDownwards } |
Specifies the burring direction. More... | |
enum | BurringPunchTypes { BurringPunchTypesFirst, BurringPunchTypesSecond, BurringPunchTypesThird } |
Specifies the burring punch type. More... | |
enum | DesignOptions { DesignOptionsBurringPunch, DesignOptionsBurringDie } |
Specifies the design type. More... | |
enum | ParentTypes { ParentTypesControl, ParentTypesDieBase, ParentTypesSubDie, ParentTypesDie } |
Specifies the parent part type. More... | |
Public Member Functions | |
NXOpen::Expression * | ArcRadius () |
Returns the arc radius value. | |
NXOpen::Section * | BlankProfile () |
Returns the blank profile to extrude the punch or die. | |
NXOpen::Tooling::BurringInsertBuilder::BurringDirections | BurringDirection () |
Returns the burring direction downwards or upwards. | |
NXOpen::Tooling::BurringInsertBuilder::BurringPunchTypes | BurringPunchType () |
Returns the burring punch type to create. | |
NXOpen::TaggedObject * | CreateNewComponent (NXOpen::TaggedObject *parentTag, const NXOpen::Point3d &origin) |
Create new component. | |
void | DeletePunchOrDieComponent () |
The action to delete the selected punch or die component Created in NX8.0.0. | |
NXOpen::Tooling::BurringInsertBuilder::DesignOptions | DesignOption () |
Returns the design option to design punch or die. | |
NXOpen::Expression * | EndValue () |
Returns the end height value of blank. | |
NXOpen::Tooling::BurringInsertBuilder::ParentTypes | ParentPart () |
Returns the parent part to create blank. | |
NXString | ParentPartName () |
Returns the parent part name to create blank. | |
double | PlateClearanceFirst () |
Returns the value of plate clearance first. | |
double | PlateClearanceSecond () |
Returns the value of plate clearance second. | |
double | PlateClearanceThird () |
Returns the value of plate clearance third. | |
NXOpen::Expression * | PunchHeadHeight () |
Returns the punch head height value of blank. | |
NXOpen::SelectBody * | PunchOrDieToEdit () |
Returns the punch or die to edit Created in NX8.0.0. | |
bool | RenameComponent () |
Returns the option whether rename component. | |
void | RevolveSketchedCurve () |
Extract burring region. | |
NXOpen::ScCollector * | SelectFaces () |
Returns the burring face of burring region. | |
void | SetBurringDirection (NXOpen::Tooling::BurringInsertBuilder::BurringDirections burringDirection) |
Sets the burring direction downwards or upwards. | |
void | SetBurringPunchType (NXOpen::Tooling::BurringInsertBuilder::BurringPunchTypes burringPunchType) |
Sets the burring punch type to create. | |
void | SetDesignOption (NXOpen::Tooling::BurringInsertBuilder::DesignOptions designOption) |
Sets the design option to design punch or die. | |
void | SetParentPart (NXOpen::Tooling::BurringInsertBuilder::ParentTypes parentPart) |
Sets the parent part to create blank. | |
void | SetParentPartName (const NXString &parentPart) |
Sets the parent part name to create blank. | |
void | SetParentPartName (const char *parentPart) |
Sets the parent part name to create blank. | |
void | SetPlateClearanceFirst (double plateClearanceFirst) |
Sets the value of plate clearance first. | |
void | SetPlateClearanceSecond (double plateClearanceSecond) |
Sets the value of plate clearance second. | |
void | SetPlateClearanceThird (double plateClearanceThird) |
Sets the value of plate clearance third. | |
void | SetRenameComponent (bool renameComponent) |
Sets the option whether rename component. | |
void | SetUsePlateClearanceFirst (bool usePlateClearanceFirst) |
Sets the option to use plate clearance first. | |
void | SetUsePlateClearanceSecond (bool usePlateClearanceSecond) |
Sets the option to use plate clearance second. | |
void | SetUsePlateClearanceThird (bool usePlateClearanceThird) |
Sets the option to use plate clearance third. | |
NXOpen::Expression * | StartValue () |
Returns the start height value of blank. | |
bool | UsePlateClearanceFirst () |
Returns the option to use plate clearance first. | |
bool | UsePlateClearanceSecond () |
Returns the option to use plate clearance second. | |
bool | UsePlateClearanceThird () |
Returns the option to use plate clearance third. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Progressive Die Wizard builder to design burring punch and die insert <br> To create a new instance of this class, use @link Tooling::BurringInsertCollection::CreateBurringInsertBuilder Tooling::BurringInsertCollection::CreateBurringInsertBuilder @endlink <br>
Default values.
Property | Value |
---|---|
ArcRadius.Value |
0 (millimeters part), 0 (inches part) |
BurringDirection |
BurringDownwards |
DesignOption |
BurringPunch |
EndValue.Value |
0 (millimeters part), 0 (inches part) |
ParentPart |
DieBase |
PlateClearanceFirst |
0 |
PlateClearanceSecond |
0 |
PlateClearanceThird |
0 |
PunchHeadHeight.Value |
0 (millimeters part), 0 (inches part) |
StartValue.Value |
0 (millimeters part), 0 (inches part) |
UsePlateClearanceFirst |
0 |
UsePlateClearanceSecond |
0 |
UsePlateClearanceThird |
0 |
Created in NX8.0.0.
NXOpen::Expression* NXOpen::Tooling::BurringInsertBuilder::ArcRadius | ( | ) |
Returns the arc radius value.
Created in NX8.0.0.
License requirements : None
NXOpen::Section* NXOpen::Tooling::BurringInsertBuilder::BlankProfile | ( | ) |
Returns the blank profile to extrude the punch or die.
Created in NX8.0.0.
License requirements : None
NXOpen::Tooling::BurringInsertBuilder::BurringDirections NXOpen::Tooling::BurringInsertBuilder::BurringDirection | ( | ) |
Returns the burring direction downwards or upwards.
Created in NX8.0.0.
License requirements : None
NXOpen::Tooling::BurringInsertBuilder::BurringPunchTypes NXOpen::Tooling::BurringInsertBuilder::BurringPunchType | ( | ) |
Returns the burring punch type to create.
Created in NX8.0.0.
License requirements : None
NXOpen::TaggedObject* NXOpen::Tooling::BurringInsertBuilder::CreateNewComponent | ( | NXOpen::TaggedObject * | parentTag, |
const NXOpen::Point3d & | origin | ||
) |
Create new component.
parentTag | the parent part |
origin | the origin point to add |
void NXOpen::Tooling::BurringInsertBuilder::DeletePunchOrDieComponent | ( | ) |
The action to delete the selected punch or die component
Created in NX8.0.0.
License requirements : None
NXOpen::Tooling::BurringInsertBuilder::DesignOptions NXOpen::Tooling::BurringInsertBuilder::DesignOption | ( | ) |
Returns the design option to design punch or die.
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Tooling::BurringInsertBuilder::EndValue | ( | ) |
Returns the end height value of blank.
Created in NX8.0.0.
License requirements : None
NXOpen::Tooling::BurringInsertBuilder::ParentTypes NXOpen::Tooling::BurringInsertBuilder::ParentPart | ( | ) |
Returns the parent part to create blank.
Created in NX8.0.0.
License requirements : None
NXString NXOpen::Tooling::BurringInsertBuilder::ParentPartName | ( | ) |
Returns the parent part name to create blank.
Created in NX8.0.0.
License requirements : None
double NXOpen::Tooling::BurringInsertBuilder::PlateClearanceFirst | ( | ) |
Returns the value of plate clearance first.
Created in NX8.0.0.
License requirements : None
double NXOpen::Tooling::BurringInsertBuilder::PlateClearanceSecond | ( | ) |
Returns the value of plate clearance second.
Created in NX8.0.0.
License requirements : None
double NXOpen::Tooling::BurringInsertBuilder::PlateClearanceThird | ( | ) |
Returns the value of plate clearance third.
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Tooling::BurringInsertBuilder::PunchHeadHeight | ( | ) |
Returns the punch head height value of blank.
Created in NX8.0.0.
License requirements : None
NXOpen::SelectBody* NXOpen::Tooling::BurringInsertBuilder::PunchOrDieToEdit | ( | ) |
Returns the punch or die to edit
Created in NX8.0.0.
License requirements : None
bool NXOpen::Tooling::BurringInsertBuilder::RenameComponent | ( | ) |
Returns the option whether rename component.
Created in NX8.0.0.
License requirements : None
void NXOpen::Tooling::BurringInsertBuilder::RevolveSketchedCurve | ( | ) |
Extract burring region.
Created in NX8.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Tooling::BurringInsertBuilder::SelectFaces | ( | ) |
Returns the burring face of burring region.
Created in NX8.0.0.
License requirements : None
void NXOpen::Tooling::BurringInsertBuilder::SetBurringDirection | ( | NXOpen::Tooling::BurringInsertBuilder::BurringDirections | burringDirection | ) |
Sets the burring direction downwards or upwards.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
burringDirection | burringdirection |
void NXOpen::Tooling::BurringInsertBuilder::SetBurringPunchType | ( | NXOpen::Tooling::BurringInsertBuilder::BurringPunchTypes | burringPunchType | ) |
Sets the burring punch type to create.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
burringPunchType | burringpunchtype |
void NXOpen::Tooling::BurringInsertBuilder::SetDesignOption | ( | NXOpen::Tooling::BurringInsertBuilder::DesignOptions | designOption | ) |
Sets the design option to design punch or die.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
designOption | designoption |
void NXOpen::Tooling::BurringInsertBuilder::SetParentPart | ( | NXOpen::Tooling::BurringInsertBuilder::ParentTypes | parentPart | ) |
Sets the parent part to create blank.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
parentPart | parentpart |
void NXOpen::Tooling::BurringInsertBuilder::SetParentPartName | ( | const NXString & | parentPart | ) |
Sets the parent part name to create blank.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
parentPart | Specifies the parent part name |
void NXOpen::Tooling::BurringInsertBuilder::SetParentPartName | ( | const char * | parentPart | ) |
Sets the parent part name to create blank.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
parentPart | Specifies the parent part name |
void NXOpen::Tooling::BurringInsertBuilder::SetPlateClearanceFirst | ( | double | plateClearanceFirst | ) |
Sets the value of plate clearance first.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
plateClearanceFirst | plateclearancefirst |
void NXOpen::Tooling::BurringInsertBuilder::SetPlateClearanceSecond | ( | double | plateClearanceSecond | ) |
Sets the value of plate clearance second.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
plateClearanceSecond | plateclearancesecond |
void NXOpen::Tooling::BurringInsertBuilder::SetPlateClearanceThird | ( | double | plateClearanceThird | ) |
Sets the value of plate clearance third.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
plateClearanceThird | plateclearancethird |
void NXOpen::Tooling::BurringInsertBuilder::SetRenameComponent | ( | bool | renameComponent | ) |
Sets the option whether rename component.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
renameComponent | renamecomponent |
void NXOpen::Tooling::BurringInsertBuilder::SetUsePlateClearanceFirst | ( | bool | usePlateClearanceFirst | ) |
Sets the option to use plate clearance first.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
usePlateClearanceFirst | useplateclearancefirst |
void NXOpen::Tooling::BurringInsertBuilder::SetUsePlateClearanceSecond | ( | bool | usePlateClearanceSecond | ) |
Sets the option to use plate clearance second.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
usePlateClearanceSecond | useplateclearancesecond |
void NXOpen::Tooling::BurringInsertBuilder::SetUsePlateClearanceThird | ( | bool | usePlateClearanceThird | ) |
Sets the option to use plate clearance third.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
usePlateClearanceThird | useplateclearancethird |
NXOpen::Expression* NXOpen::Tooling::BurringInsertBuilder::StartValue | ( | ) |
Returns the start height value of blank.
Created in NX8.0.0.
License requirements : None
bool NXOpen::Tooling::BurringInsertBuilder::UsePlateClearanceFirst | ( | ) |
Returns the option to use plate clearance first.
Created in NX8.0.0.
License requirements : None
bool NXOpen::Tooling::BurringInsertBuilder::UsePlateClearanceSecond | ( | ) |
Returns the option to use plate clearance second.
Created in NX8.0.0.
License requirements : None
bool NXOpen::Tooling::BurringInsertBuilder::UsePlateClearanceThird | ( | ) |
Returns the option to use plate clearance third.
Created in NX8.0.0.
License requirements : None